<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$mesNumero=$sessao->getVar('controle');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$inicio=$sessao->getVar('inicio');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
 $pdf->open();//abre o fpdf
 //$pdf->AddPage();//adicionando a primera pafina
 $pdf->SetDrawColor(10,10,10);
 $maximoHAdobe=297;//isso para vertical
 $maximoLAdobe=210;//isso para vertical
 //$maximoLAdobe=297;//isso para horizontal
 //$maximoHAdobe=210;//isso para horizontal
 $margemEsquerdaExterna=10;
 $margemEsquerda=10;
 $margemDireita=$maximoLAdobe-6;
 $larguraUtil=$maximoLAdobe-16;
 $futer=$maximoHAdobe-10;
 //$larguraUtil=$maximoLAdobe;
 $cinza=220;
 //$fonte="Arial";
 $nomeOperador=5;
 $pdf->SetFillColor($cinza,$cinza,$cinza); 
 
/*
$pdf->AddPage();//adicionando a primera pafina 

$posicaoCab1=60;$posicaoCab2=45;
$caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
$pdf->Image($caminhoFinal,11,3,48,23,'JPG');
$pdf->SetFont('Arial','',10);
$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
$pdf->setXY($posicaoCab1,$cota1+15);$pdf->Cell(140,5,'Requerente:'.utf8_decode($produtor),0,1,'L');//lab nome
//imp´rime o titulo
*/

//COMO FUNCIONA ISSO
//pega o produtor sem renasem (renasem menor que 4 caracteres) e veridica documentos daquele mes. Se tem ele captura o nome do cara e forma um vetor de id_produtor
//depois pega o vetor e pesquisa as cultivares ordenando por cultivar e agrupando as amostras recebidas naquela cultivar e ze fini

/*$sql="SELECT prd_id,prd_nome,prd_cpf,prd_endereco,prd_municipio ,prd_uf,prd_cep,fic_repre_unid FROM documentos,ficha,documentosponte,remetente 
where doc_labo=".$idLabo." and id_lab=".$idLabo." and length(prd_renasem)<4 
and fic_produtor=prd_id 
and  doc_tipo='Informe' && dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' &&  MONTH(doc_data)='".$mesNumero."'
order by prd_nome";


$sql="SELECT prd_id,prd_nome,prd_cpf,prd_endereco,prd_municipio ,prd_uf,prd_cep,fic_repre_unid FROM documentos,ficha,documentosponte,remetente 
where  length(prd_renasem)<4 
and fic_produtor=prd_id 
and  doc_tipo='Informe' && dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' &&  MONTH(doc_data)='".$mesNumero."'
order by prd_nome";


/*



//ENTRA DE QUAKQUER MANEIRA
$generica=new tabelagenerica();
$generica->extras_select =$sql;
$generica->selecionaCamposEspecial($generica);

$contador=0;
$contaRegistros=0;
$idProdutor0=0;
while ($res = $generica->retornaDados()):
    $idProdutor=$res->prd_id;
    if($idProdutor!=$idProdutor0):
       $vetorProdutor[$contaRegistros][0]=$idProdutor; 	
       $vetorProdutor[$contaRegistros][1]=$res->prd_nome;
       $vetorProdutor[$contaRegistros][2]=$res->prd_cpf;
       $vetorProdutor[$contaRegistros][3]=$res->prd_endereco;
       $vetorProdutor[$contaRegistros][4]=$res->prd_municipio;
       $vetorProdutor[$contaRegistros][5]=$res->prd_uf;
       $vetorProdutor[$contaRegistros][6]=$res->prd_cep;
       $idProdutor0=$idProdutor;
       $contaRegistros++;
	endif;    
endwhile;


//aqui ja vai percorrer o vetor para montar as tabelas
$indiceGrupoCultivar=-1;
	$contaAmostras=0;
for($i=0;$i<$contaRegistros;$i++):
   $idProdutor= $vetorProdutor[$i][0];
   $nome=       $vetorProdutor[$i][1];
   $cpf=        $vetorProdutor[$i][2];
   $endereco=   $vetorProdutor[$i][3];
   $municipio=  $vetorProdutor[$i][4];
   $uf=         $vetorProdutor[$i][5];
   $cep=        $vetorProdutor[$i][6];
   
   
   
   //echo("nome=$nome id=$idProdutor  <br>");
   //aqui vai pesquisar as cultivares que o cabra prantou e ver quantas amostras em cada curtivar
   $sql="SELECT fic_amostra ,fic_amostra_previa ,fic_repre_unid,fic_dt_entrada,esp_nome,ctv_id,ctv_nome,fic_id 
   FROM especies,cultivar,documentos,ficha,documentosponte
   where fic_labo=".$idLabo."
   and fic_cultivar=ctv_id
   and   fic_produtor=".$idProdutor."
   and ctv_especie=esp_id 
   and(doc_tipo='Informe') 
   and dpo_amostra_vinculada=fic_id 
   and dpo_documento_autonumerador=doc_id 
   and dpo_documento_autonumerador=doc_id 
   
   
   and  year(doc_data)='".$anoAmostra."' 
   and  MONTH(doc_data)='".$mesNumero."'
   order by ctv_nome";


*/
	if($cliente=='UFLA'):
	  $dadosLab[1][1]="Nome:LABORATÓRIO DE ANÁLISE DE SEMENTES - LAS/UFLA";
	  $dadosLab[2][1]="CNPJ:";
	  $dadosLab[2][2]="CREDENCIAMENTO NO RENASEM nº MG 01311/2006 VAL:30.03.2027";
	  $dadosLab[3][1]="END:Cx Postal 3037 ";
	  $dadosLab[4][1]="Tel:(035)3829-1842";
	  $dadosLab[4][2]="Endereço eletrônico:sementes.dag@ufla.br";
	  $dadosLab[5][1]="Município/UF:Lavras/MG";
	  $dadosLab[5][2]="CEP:37200-900";
	elseif($cliente=='UNIJUI'):
	  $dadosLab[1][1]="Nome:FIDENE - FUNDAÇÃO DE INTEGRAÇÃO, DESENVOLVIMENTO E EDUCAÇÃO DO NOROESTE DO ESTADO DO RIO GRANDE DO SUL - UNIJUÍ";
	  $dadosLab[2][1]="CNPJ:90.738.014/0002-80";
	  $dadosLab[2][2]="CREDENCIAMENTO NO RENASEM nº RS00991/2006";
	  $dadosLab[3][1]="END:Rua do Comércio, 3000 - Bairro: Universitário - Campus Ijuí - RS";
	  $dadosLab[4][1]="Tel:(55) 3332-0627";
	  $dadosLab[4][2]="Endereço eletrônico:labsementes@unijui.edu.br";
	  $dadosLab[5][1]="Município/UF:Ijuí/RS";
	  $dadosLab[5][2]="CEP:98700-000";
	  elseif($cliente=='LAS CONCEITO'):
	  $dadosLab[1][1]="Nome:LAS Conceito Agronômico ";
	  $dadosLab[2][1]="CNPJ:12.113.795/0001-23";
	  $dadosLab[2][2]="CREDENCIAMENTO NO RENASEM nº GO-01112/2011";
	  $dadosLab[3][1]="END: Rua 205, Qd. 68, Lt 11, St. Coimbra ";
	  $dadosLab[4][1]="Tel: (62) 3434-8654 / (62) 9 9854-4265";
	  $dadosLab[4][2]="Endereço eletrônico:escritorio@conceitoagronomico.com.br";
	  $dadosLab[5][1]="Município/UF:Goiânia – GO";
	  $dadosLab[5][2]="CEP:74.530-030";
	else:
	  $dadosLab[1][1]="Nome:faltam inserir o nome do las";
	  $dadosLab[2][1]="CNPJ:falta inserir o cnpj";
	  $dadosLab[2][2]="CREDENCIAMENTO NO RENASEM nº rrrrr";
	  $dadosLab[3][1]="END:rrrrrrr ";
	  $dadosLab[4][1]="Tel:dddddddd";
	  $dadosLab[4][2]="Endereço eletrônico:sementes.eu@hotmail.br";
	  $dadosLab[5][1]="Município/UF:xxxxxxx/MG";
	  $dadosLab[5][2]="CEP:55555-900";
    endif;






//ENTRA DE QUAKQUER MANEIRA


$sql="SELECT prd_telefone,prd_id,prd_nome,prd_cpf,prd_endereco,prd_municipio ,prd_uf,prd_cep,fic_repre_unid ,ctv_nome,esp_nome,fic_dt_entrada,fic_amostra,fic_testes_realizar,fic_amostra_previa,fic_id 
FROM  especies,cultivar,documentos,ficha,documentosponte,remetente 
where  length(prd_renasem)<4 
and fic_produtor=prd_id and fic_cultivar=ctv_id   and   fic_produtor=prd_id  and ctv_especie=esp_id 
and  doc_tipo='Informe' && dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' &&  MONTH(doc_data)='".$mesNumero."'
order by prd_nome,ctv_nome";
$generica=new tabelagenerica();
$generica->extras_select =$sql;
$generica->selecionaCamposEspecial($generica);
$indiceGrupoCultivar=0;
	while ($res = $generica->retornaDados()):
       $nomeCultivar=$res->ctv_nome;
       $nomeEspecie=$res->esp_nome;
       $repreUnid=$res->fic_repre_unid;
       $entrada=$res->fic_dt_entrada;
       $amostraTomas=$res->fic_amostra;
       $amostraTomasPrevia=$res->fic_amostra_previa;
       $ficID=$res->fic_id;
       $testesConcatenados=$res->fic_testes_realizar;
       //echo("nome=$nome id=$idProdutor idCultivar=$idCultivar nomeCultivar=$nomeCultivar <br>");
	   //vai trasfereir para o vetor final os dados do produtor, preparando para impressao
	   $indiceGrupoCultivar++;
       $vetorGrupoCultivar[$indiceGrupoCultivar][0]= $res->prd_nome;//vai armazenar o nome do produtor
       $vetorGrupoCultivar[$indiceGrupoCultivar][1]=$res->prd_cpf;//vai armazenar o cpf do produtor
       $vetorGrupoCultivar[$indiceGrupoCultivar][2]= $res->prd_endereco;//vai armazenar o endereco do produtor
       $vetorGrupoCultivar[$indiceGrupoCultivar][3]= $res->prd_municipio;//vai armazenar o municipio do produtor
       $vetorGrupoCultivar[$indiceGrupoCultivar][4]= $res->prd_uf;//vai armazenar o uf do produtor
       $vetorGrupoCultivar[$indiceGrupoCultivar][5]= $res->prd_cep;//vai armazenar o cep do produtor
       //vai arqmazenar a cultivar e a especie
       $vetorGrupoCultivar[$indiceGrupoCultivar][6]= $nomeCultivar;//vai armazenar o nome dda cultivar
       $vetorGrupoCultivar[$indiceGrupoCultivar][7]= $nomeEspecie;//vai armazenar o nome da especie
       $vetorGrupoCultivar[$indiceGrupoCultivar][9]= $repreUnid;//vai armazenar o nome da especie
       $vetorGrupoCultivar[$indiceGrupoCultivar][10]= $entrada;//vai armazenar o nome da especie
       $vetorGrupoCultivar[$indiceGrupoCultivar][11]= $amostraTomas;//vai armazenar o nome da especie
       $vetorGrupoCultivar[$indiceGrupoCultivar][12]= $ficID  ;//vai armazenar o nome da especie
       $vetorGrupoCultivar[$indiceGrupoCultivar][13]= $amostraTomasPrevia  ;//vai armazenar o nome da especie
       $vetorGrupoCultivar[$indiceGrupoCultivar][14]= $testesConcatenados  ;//vai armazenar o nome da especie
       $vetorGrupoCultivar[$indiceGrupoCultivar][15]= $res->prd_telefone ;//vai armazenar o nome da especie
	endwhile;	


//echo("depois<br>");


//aqui ja vai percorrer o vetor final das cultivares/dados requerente e totais de amostras em cada cultivar
//aqui ja manda imprimir
$salto=0;
for($i=1;$i<=$indiceGrupoCultivar;$i++):
  $nomeProdutor=$vetorGrupoCultivar[$i][0];
  $cpf=$vetorGrupoCultivar[$i][1];
  $endereco=$vetorGrupoCultivar[$i][2];
  $municipio=$vetorGrupoCultivar[$i][3];
  $uf=$vetorGrupoCultivar[$i][4];
  $cep=$vetorGrupoCultivar[$i][5];
  $cultivar=$vetorGrupoCultivar[$i][6];
  $especie=$vetorGrupoCultivar[$i][7];
  $numeroPorCulvivar =$vetorGrupoCultivar[$i][8];  
  $repre =$vetorGrupoCultivar[$i][9]; 
  $repreUnid =$vetorGrupoCultivar[$i][9]; 
  $repreKg=1000*$objetocalculo->emTones($repre);
  //$repreTon='Peso:'.$objetocalculo->emTones($repre).' (t)'; //chama a funcao que converte   
  $entrada =date("d/m/y",strtotime($vetorGrupoCultivar[$i][10]));//inverte a data      
  $amostraTome =$vetorGrupoCultivar[$i][11];  
  $ficID =$vetorGrupoCultivar[$i][12];  
  $amostraTomasPrevia =$vetorGrupoCultivar[$i][13];  
  $testesConcatenados=$vetorGrupoCultivar[$i][14];  
  $telefoneProd=$vetorGrupoCultivar[$i][15];  
  //echo("nome=$nome  curtivar $cultivar  numeroPorCulvivar=$numeroPorCulvivar<br>");
  
  if($salto==0): 
     $contador=0;
     //imprime pagina nova com cabEacalho	 
     $pdf->AddPage();//adicionando a primera pafina
     $cota1=5;
	 $posicaoCab1=60;$posicaoCab2=45;
	 //$caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	 //$pdf->Image($caminhoFinal,11,14,48,23,'JPG');
     //$pdf->Rect($margemEsquerda,$cota1,$larguraUtil,10);
	 $pdf->SetFont('Arial','',10);
	 $pdf->setXY($margemEsquerda,$cota1);
	 $pdf->Cell($larguraUtil,5,utf8_decode('ANEXO XX'.'          Mes:'.$mesNumero.'/'.$anoAmostra),0,1,'C');//ANEXO...
	 $pdf->setXY($margemEsquerda,$cota1+5);
	 $pdf->Cell($larguraUtil,5,utf8_decode('CADASTRO DE USUÁRIOS DO LABORATÓRIO'),0,1,'C');//ANEXO...
	 $pdf->setXY($margemEsquerda,$cota1+10);
	 $pdf->Cell($larguraUtil,5,utf8_decode(' NÃO INSCRITOS OU NÃO CREDENCIADOS NO REGISTRO NACIONAL DE SEMENTES E MUDAS-'),0,1,'C');//ANEXO...
	 $pdf->setXY($margemEsquerda,$cota1+15);
	 $pdf->Cell($larguraUtil,5,utf8_decode(' RENASEM'),0,1,'C');//ANEXO...
     $cota1=15;
    
	$cota1+=10;	
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->SetFont('Arial','B',10);
	$pdf->Cell($larguraUtil,5,utf8_decode("IDENTIFICAÇÃO DO LABORATÓRIO"),0,1,'L');//lab nome
	$pdf->SetFont('Arial','',7);
	//DENTRO DA GRADE
	$alturaLinha=4;
	$cota1+=5;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil,$alturaLinha,utf8_decode($dadosLab[1][1]),1,0,'L');//lab nome
    
	$cota1+=$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode($dadosLab[2][1]),1,0,'L');//CNPJ
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode($dadosLab[2][2]),1,0,'L');//RENASEM
	
	$cota1+=$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil,$alturaLinha,utf8_decode($dadosLab[3][1]),1,0,'L');//ENDRECP
		
	$cota1+=$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode($dadosLab[5][1]),1,0,'L');//MUNICIPIO
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode($dadosLab[5][2]),1,0,'L');//lab nomeCEP
	
	$cota1+=$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode($dadosLab[4][1]),1,0,'L');//TEL
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode($dadosLab[4][2]),1,0,'L');//EMAIL

    //identificacao do rt
	$vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
	$pdf->SetFont('Arial','B',10);
	$cota1+=2*$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil,$alturaLinha,utf8_decode("IDENTIFICAÇÃO DO RESPONSÁVEL TÉCNICO"),0,0,'L');//lab nome
	$pdf->SetFont('Arial','',7);

	$cota1+=$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil,$alturaLinha,utf8_decode('Nome:'.$vetorTecnico[1]),1,0,'L');//TEL

	$cota1+=$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('CPF:'.$vetorTecnico[9]),1,0,'L');//TEL
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('RENASEM Nº:'.$vetorTecnico[3]),1,0,'L');//EMAIL
	
	$cota1+=$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('Tel.:'.$vetorTecnico[10]),1,0,'L');//TEL
	$pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('E-mail:'.$vetorTecnico[11]),1,0,'L');//EMAIL
	
	$pdf->SetFont('Arial','B',10);
	$salto=1;
	$cota1+=2*$alturaLinha;
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($larguraUtil,$alturaLinha,utf8_decode("IDENTIFICAÇÃO DOS USUÁRIOS"),0,0,'L');//lab nome
	$cota1-=25; 
	$pdf->SetFont('Arial','',7);
  endif;

  
  $contador++;
  $cota1+=30; 
  $alturaLinha=4;
  //$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);
  $pdf->setXY($margemEsquerda,$cota1);
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('Nome/Razão social: '.$nomeProdutor),1,0,'L');//.
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode("CPF/CNPJ:".$cpf),1,0,'L');//.

  $pdf->setXY($margemEsquerda,$cota1+$alturaLinha*1);
  $pdf->Cell($larguraUtil,$alturaLinha,utf8_decode('Endereço:'.$endereco),1,0,'L');//.
  
  $pdf->setXY($margemEsquerda,$cota1+$alturaLinha*2);
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('Município/UF:'.$municipio. "/".$uf),1,0,'L');//.
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('CEP:'.$cep),1,0,'L');//.

  $pdf->setXY($margemEsquerda,$cota1+$alturaLinha*3);
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('Tel:'.$telefoneProd),1,0,'L');//.
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('E-mail:'.$cultivar),1,0,'L');//.

  $pdf->setXY($margemEsquerda,$cota1+$alturaLinha*4);
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('Espécie:'.$especie),1,0,'L');//.
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('Cultivar:'.$cultivar ),1,0,'L');//.

  $pdf->setXY($margemEsquerda,$cota1+$alturaLinha*5);
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('Representatividade(Kg):'.$repreKg),1,0,'L');//.
  $pdf->Cell($larguraUtil/2,$alturaLinha,utf8_decode('Data solicitação:'.$entrada. "  Amostra:".$amostraTome.  "  AmostraPre:".$amostraTomasPrevia  ),1,0,'L');//.

  $pdf->setXY($margemEsquerda,$cota1+$alturaLinha*6);
  $pdf->Cell($larguraUtil,$alturaLinha,utf8_decode('Análises realizadas:'.$numeroPorCulvivar.$testesConcatenados),1,0,'L');//.

  if($contador==5)$salto=0; 
endfor;

//IMPRIME LOCAL DATA E ASSINATURA
$cotaFinal=245;
$pdf->setXY(30,$cotaFinal+20);
$pdf->Cell(100,5,utf8_decode($vetorCabecalho[6]).', '.date("d/m/Y"),0,1,'L');//
//captura o rt
 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
 $pdf->setXY(100,$cotaFinal-10);
 $base[4][3]=$vetorTecnico[1];
 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
 $base[6][3]=$vetorTecnico[7];// seria o cargo?
 $pdf->SetXY(100,$cotaFinal);$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	
 $pdf->Line(100,$cotaFinal+25,190,$cotaFinal+25);//linha separadora horizontal
 $pdf->SetXY(100,$cotaFinal+26);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
 $pdf->SetXY(100,$cotaFinal+31);$pdf->Cell(90,5,utf8_decode($base[5][3]),0,1,'C');	
 $pdf->SetXY(100,$cotaFinal+36);$pdf->Cell(90,5,utf8_decode($base[6][3]),0,1,'C');	//ESTE ITEM É ASSINATURA SIM;NAO	
 $pdf->SetFont('Arial','',8);


//aqui como era
//$vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
//$nomeTecnico=$vetorTecnico[1];//nome do rt
//IMPRIME O TECNICO
//$pdf->Line(130,$cotaFinal,190,$cotaFinal);
//$pdf->setXY(110,$cotaFinal);
//$pdf->Cell(100,5,utf8_decode($nomeTecnico),0,1,'C');//
//$pdf->setXY(110,$cotaFinal+5);
//$pdf->Cell(100,5,utf8_decode('Responsável técnico'),0,1,'C');//


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
